summaryrefslogtreecommitdiffstats
path: root/builder/build-initramfs.sh
diff options
context:
space:
mode:
authortorben2016-02-06 02:20:32 +0100
committertorben2016-02-06 02:20:32 +0100
commit8d869ca6dbb674473cfd15f78b7aa3df3cf6bd98 (patch)
tree64530e2aa510204051d31bfc778b476ed0026a85 /builder/build-initramfs.sh
parentFix submodules. (diff)
downloadsystemd-init-8d869ca6dbb674473cfd15f78b7aa3df3cf6bd98.tar.gz
systemd-init-8d869ca6dbb674473cfd15f78b7aa3df3cf6bd98.tar.xz
systemd-init-8d869ca6dbb674473cfd15f78b7aa3df3cf6bd98.zip
Fix dependencies.
Diffstat (limited to 'builder/build-initramfs.sh')
-rwxr-xr-xbuilder/build-initramfs.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/builder/build-initramfs.sh b/builder/build-initramfs.sh
index 887955a3..abd55c3c 100755
--- a/builder/build-initramfs.sh
+++ b/builder/build-initramfs.sh
@@ -77,11 +77,10 @@ declare -A core_dependencies=(
[readlink]="connect dracut module with dracut's module system" \
[dirname]='core logic' \
[dmsetup]='create a (temporary) writable layer during boot' \
- [pkg-config]='determine if alle needed libraries are present' \
+ ['make gcc cmake']='dynamically compile needed resources against current or given kernel' \
[grep]='retrieve right boot partition during boot')
declare -A optional_dependencies=(
['git gzip curl tar']='dynamically retrieve and unpack missing application which will be compiled for current or given kernel' \
- ['make gcc cmake']='dynamically compile needed resources against current or given kernel' \
[chroot]='build against a distribution other than this program runs in')
declare -A core_shared_library_pattern_dependencies=(
[libz]='compile dnbd3 for given or current kernel')
@@ -330,6 +329,7 @@ dependency_check core package_dependencies utils_dependency_check_pkgconfig \
# NOTE: We only want to run additional tests if dependencies are missing. Not
# if dependencies are missing to run the dependency checker itself.
[[ $result == 1 ]] && exit 0
+[[ $result == 2 ]] && exit 1
logging.set_commands_level debug
logging.set_level debug